from django import forms
from bootstrap_datepicker_plus import DatePickerInput, TimePickerInput, DateTimePickerInput
from .models import Programacion, Comedero
from datetime import datetime, timedelta
from django.utils.translation import gettext_lazy as _
from django.forms import IntegerField
class NumRacionesForm(forms.Form):
    num_raciones = forms.IntegerField(label='Numero de raciones')


class DateForm(forms.ModelForm):

    class Meta:
        model = Programacion
        fields = ('dia', 'hora')

        widgets = {
            'dia': DatePickerInput(format='%d/%m/%Y', options={
                'defaultDate': False,
                'minDate': (datetime.today() + timedelta(days=1) ).strftime('%Y-%m-%d'),
            }),
            'hora': TimePickerInput(options={
                'stepping' : 30,
            }),
        }
class AddRaciones(forms.ModelForm):
    class Meta:
        model = Comedero
        fields = ('numRacionesActuales', )
        labels = {
            'numRacionesActuales': _('Numero de raciones:'),
        }


class EditInfo(forms.ModelForm):
    class Meta:
        model = Comedero
        fields = ('nombre',)