from rest_framework import serializers
from .models import Comedero, Programacion
from django.contrib.auth.models import User

class ComederoSerializer(serializers.ModelSerializer):
    titular = serializers.ReadOnlyField(source='owner.username')
    class Meta:
        model = Comedero
        fields = ('titular', 'mac', 'nombre', 'tengo_que_servir', 'numRacionesActuales', 'nuevaProgramacion')


class UserSerializer(serializers.ModelSerializer):
    comederos = serializers.PrimaryKeyRelatedField(many=True, queryset=Comedero.objects.all())

    class Meta:
        model = User
        fields = ('id', 'username', 'comederos') #comederos es una relacion al reves

class ProgramacionSerializer(serializers.ModelSerializer):
    class Meta:
        model = Programacion
        fields = ('id', 'dia', 'hora', 'comedero', 'servida')