
from django.urls import path, include
from rest_framework.urlpatterns import format_suffix_patterns
from . import views
from rest_framework.authtoken.views import obtain_auth_token
from rest_framework.documentation import include_docs_urls


urlpatterns = [
    path('', views.tus_comederos, name='tus-comederos'),
    path('servir',views.servir, name='servir'),
    path('add-raciones/<str:nombre>',views.add_raciones, name='add_raciones'),
    path('editar-info/<str:nombre>',views.editar_info, name='editar_info'),
    path('comederos/', views.ComederoList.as_view()),
    path('comederos/<str:pk>/', views.ComederoDetail.as_view()),
    path('programar-comederos/<str:nombre>', views.programar_comederos,name="programar_comederos"),
    path('borrar-programacion/<int:id> ', views.borrar_programacion,name="borrar_programacion"),
    path('programacion/<str:pk>/get', views.ProgramacionList.as_view()),
    path('programacion/<int:pk>/set', views.ProgramacionDetail.as_view()),
    path('users/', views.UserList.as_view()),
    path('users/<int:pk>/', views.UserDetail.as_view()),
    path('api-auth/', include('rest_framework.urls')),
    path('api-token-auth/', obtain_auth_token, name='api_token_auth'),
    path('docs/', include_docs_urls(title='Hungry Falconry API Rest'))
]
urlpatterns = format_suffix_patterns(urlpatterns)
