import requests
import getmac
import time
import threading
from servir_comida import servir
from datetime import datetime

#TOKEN de autenticacion
TOKEN = "cf4268dbd517e06714c262736824357d25e8156a"
headers = {'Authorization': 'Token '+TOKEN}

# Direccion MAC
#real_mac = 'XX:XX:XX:XX:XX:XX'
real_mac = getmac.get_mac_address()

#URLs
#url_comedero = 'http://localhost:8000/comederos/'
url_comedero = 'http://davidelavarga.pythonanywhere.com/comederos/'
#url_programacion = 'http://localhost:8000/programacion/'
url_programacion = 'http://davidelavarga.pythonanywhere.com/programacion/'

def rest_sirve():

    url = url_comedero + real_mac
    response = requests.get(url_comedero + real_mac, headers=headers)

    print(url)
    if response.status_code == 200:
        data = response.json()
        print(data)
        if (data['mac'] == real_mac):
            if (data['tengo_que_servir'] == True):
                print('Sirviendo...')

                # Llamada al script de servir
                servir()

                data['tengo_que_servir'] = False
                data['numRacionesActuales'] -= 1
                response = requests.put(url + '/', data=data, headers=headers)
                print("put response: ", response.status_code)

            if (data['nuevaProgramacion'] == True):
                rest_programacion()
                data['nuevaProgramacion'] = False
                response = requests.put(url + '/', data=data, headers=headers)
                print("put response: ", response.status_code)


def rest_programacion():
    """
    Guarda nueva programacion en el archivo programacion.txt
    :return:
    """
    url = url_programacion+real_mac
    url += "/get"
    response = requests.get(url, headers=headers)
    print(url)
    if response.status_code == 200:
        data = response.json()
        with open('programacion.txt', 'w') as f:
            for p in data:
                if(p['servida'] == False):
                    f.write("%s\n" % datetime.strptime(p['dia'] + " " + p['hora'], '%Y-%m-%d %H:%M:%S'))


def put_programacion(p):
    """

    :param p: la linea del fichero si ha coincidido con "ahora"
    :return:
    """

    url = url_programacion + real_mac + "/get"
    response = requests.get(url, headers=headers)
    print(url)
    print("/get: "+ str(response.status_code))
    if response.status_code == 200:
        data = response.json()
        for p_i in data:
            print("Esto es p:", str(p))
            print("Esto es la suma de dia hora:", p_i['dia'] + " " + p_i['hora'])
            if (str(p) == (p_i['dia'] + " " + p_i['hora'])):
                print("Marca servida a True")
                p_i['servida'] = True
                url_put_prog = url_programacion + str(p_i['id']) + '/set'
                print(url_put_prog)
                response = requests.put(url_put_prog, data=p_i, headers=headers)
                print("put_prog:" + str(response.status_code))
                url_put_comedero = url_comedero + real_mac
                response = requests.get(url_put_comedero, headers=headers)
                if response.status_code == 200:
                    data = response.json()
                    print(url_put_comedero + '/')
                    if (data['mac'] == real_mac):
                        data['numRacionesActuales'] -= 1
                        response = requests.put(url_put_comedero + '/', data=data, headers=headers)
                        print("put response: ", response.status_code)

def leer_prog():
    while True:
        try:
            datetime_obj = []
            with open("programacion.txt", "r") as file:
                for line in file:
                    datetime_obj.append(datetime.strptime(line[:-1], '%Y-%m-%d %H:%M:%S').replace(second=0))
                for p in datetime_obj:
                    print(p)
                    ahora = datetime.strptime(datetime.now().strftime('%Y-%m-%d %H:%M:%S'),
                                              '%Y-%m-%d %H:%M:%S').replace(second=0)
                    print(ahora)
                    print(" ")
                    if (p == ahora):
                        # Llamada al script de servir
                        servir()
                        print("Coincide la hora")
                        put_programacion(p)
                        datetime_obj.remove(p)
                        with open('programacion.txt', 'w') as f:
                            for restantes in datetime_obj:
                                f.write("%s\n" % restantes)
        except FileNotFoundError as e:
            print(str(e))
        time.sleep(10)


try:
    hilo_leer_prog = threading.Thread(name="hilo_leer_prog", target=leer_prog)
    hilo_leer_prog.setDaemon(True)
    hilo_leer_prog.start()
    while True:
        rest_sirve()
        time.sleep(2)
except KeyboardInterrupt:
    print("\nScript interrumpido")

